/*
    iflib - a library for retreiving network interface information
    Copyright (C) 1999 Rok Papez.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the 
    Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
    Boston, MA  02111-1307  USA.

    A copy of license should be in ../LICENSE/LGPL2.TXT
*/
#ifndef __IFLIB_H__
#define __IFLIB_H__

#define defIsNum(ch)  ((ch)>='0' && (ch)<='9')

// public members
int iflibStatIf(char *name,unsigned long *Rx,unsigned long *RxErr,unsigned long *Tx,unsigned long *TxErr);
char *iflibIp2String(int i_ip,char pch_ip[16]); // converts given IP to a string (IPV4!)
int   iflibGetIp(char *name); //  returns the IP of a "name" interface
int   iflibIsUp(char *name);  // checks if iface is up,down or n/a -1=n/a 0=down 1=up
#endif